Plans
Create plan
POST
/api/v1/plansCreates a new subscription plan. Admin-only.
Requires Authorization
ADMIN only
Authenticated action
Body parameters
slugstringrequired | |
namestringrequired | |
maxProductsnumberrequired | |
maxPhotosPerProductnumberrequired | |
maxShopsnumberrequired | |
prioritySupportboolean | |
sortOrdernumber |
Request
curl --request POST \
--url https://api.swiftgoma.com/api/v1/plans \
--header 'Authorization: Bearer <access_token>' \
--header 'Content-Type: application/json' \
--data '{
"slug": "<slug>",
"name": "Aline Mapendo",
"maxProducts": "<maxProducts>",
"maxPhotosPerProduct": "<maxPhotosPerProduct>",
"maxShops": "<maxShops>",
"prioritySupport": "<prioritySupport>",
"sortOrder": "<sortOrder>"
}'201Example response
{
"success": true,
"data": {
"id": "plan_starter",
"slug": "starter",
"name": "Starter",
"maxProducts": 20,
"maxPhotosPerProduct": 5,
"maxShops": 1,
"prioritySupport": false,
"isActive": true,
"sortOrder": 0,
"prices": []
}
}